## tarsnap-archive-keyring 2025.11.24

=== Makefile ===
all: tarsnap-archive-keyring.gpg tarsnap-code-signing-keyring.gpg tarsnap-experimental-keyring.gpg

# gpg really wants to have a home directory; this can be problematic inside
# certain package-building systems, which might not have a valid user home
# directory within its chroot or jail.
TMP_GPGHOME=gpg-tmp
TMP_GPGHOME_SENTINEL=gpg-tmp/sentinel
GPG=gpg --homedir=$(TMP_GPGHOME) --no-default-keyring --no-auto-check-trustdb

# Use a sentinel file so that we only create $(TMP_GPGHOME) once.
$(TMP_GPGHOME_SENTINEL):
	mkdir -p $(TMP_GPGHOME)
	chmod 700 $(TMP_GPGHOME)
	touch $(TMP_GPGHOME_SENTINEL)

# Create the keyrings on the user's system, since the standard
# ascii armoured export format is more stable than keyring files.
tarsnap-archive-keyring.gpg: $(TMP_GPGHOME_SENTINEL)
	$(GPG)	--keyring ./tarsnap-archive-keyring-temp.gpg		\
		--import keys-packaging/tarsnap-deb-packaging-key-*.asc
	$(GPG)	--keyring ./tarsnap-archive-keyring-temp.gpg		\
		--output $@ --export
	rm tarsnap-archive-keyring-temp.gpg tarsnap-archive-keyring-temp.gpg~

tarsnap-experimental-keyring.gpg: $(TMP_GPGHOME_SENTINEL)
	$(GPG)	--keyring ./tarsnap-experimental-keyring-temp.gpg	\
		--import keys-packaging/tarsnap-EXPERIMENTAL-deb-packaging-key-*.asc
	$(GPG)	--keyring ./tarsnap-experimental-keyring-temp.gpg	\
		--output $@ --export
	rm tarsnap-experimental-keyring-temp.gpg			\
		tarsnap-experimental-keyring-temp.gpg~

tarsnap-code-signing-keyring.gpg: $(TMP_GPGHOME_SENTINEL)
	$(GPG)	--keyring ./tarsnap-code-signing-keyring-temp.gpg	\
		--import keys-signing/*.asc
	$(GPG)	--keyring ./tarsnap-code-signing-keyring-temp.gpg	\
		--output $@ --export
	rm tarsnap-code-signing-keyring-temp.gpg			\
		tarsnap-code-signing-keyring-temp.gpg~

install: tarsnap-archive-keyring.gpg tarsnap-code-signing-keyring.gpg
	install -d $(DESTDIR)/usr/share/keyrings/
	cp tarsnap-archive-keyring.gpg $(DESTDIR)/usr/share/keyrings/
	cp tarsnap-experimental-keyring.gpg $(DESTDIR)/usr/share/keyrings/
	cp tarsnap-code-signing-keyring.gpg $(DESTDIR)/usr/share/keyrings/

clean:
	rm -f tarsnap-*.gpg tarsnap-*.gpg~
	rm -rf $(TMP_GPGHOME)

.PHONY: install clean

=== debian/changelog ===
tarsnap-archive-keyring (2025.11.24) unstable; urgency=medium

  * Add 2026 code-signing and package-signing keys.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Mon, 24 Nov 2025 03:08:50 +0000

tarsnap-archive-keyring (2024.10.24) unstable; urgency=medium

  * Add 2025 code-signing and package-signing keys.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Thu, 24 Oct 2024 18:02:28 -0700

tarsnap-archive-keyring (2023.10.02) unstable; urgency=medium

  * Add 2024 code-signing and package-signing keys.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Mon, 02 Oct 2023 17:48:03 -0700

tarsnap-archive-keyring (2022.07.06) unstable; urgency=medium

  * Add 2023 code-signing and package-signing keys.
  * Stop GPG from attempting to write to the default home directory; this
    allows the package to be built inside pbuilder 0.220+.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Wed, 06 Jul 2022 14:04:26 -0700

tarsnap-archive-keyring (2021.10.26) unstable; urgency=medium

  * Add 2022 code-signing and package-signing keys.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Tue, 26 Oct 2021 19:50:32 -0700

tarsnap-archive-keyring (2021.09.29) unstable; urgency=medium

  * Only copy keys to /etc/apt/trusted.gpg.d/ if there's already one there.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Wed, 29 Sep 2021 11:14:08 -0700

tarsnap-archive-keyring (2020.08.27) unstable; urgency=medium

  * Add 2021 code-signing and package-signing keys.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Thu, 27 Aug 2019 16:25:16 -0700

tarsnap-archive-keyring (2019.08.24) unstable; urgency=medium

  * Add 2020 code-signing and package-signing keys.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Sat, 24 Aug 2019 13:20:46 -0700

tarsnap-archive-keyring (0.6) unstable; urgency=medium

  * Add 2019 code-signing and package-signing keys.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Sat, 01 Sep 2018 23:33:32 -0700

tarsnap-archive-keyring (0.5) unstable; urgency=medium

  * Add 2018 code-signing and package-signing keys.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Thu, 06 Jul 2017 21:11:32 -0700

tarsnap-archive-keyring (0.4) unstable; urgency=high

  * Rotate the 2017 Tarsnap deb packaging key.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Sat, 04 Feb 2017 18:11:32 -0800

tarsnap-archive-keyring (0.3) unstable; urgency=medium

  * Avoid producing "keybox" format with GPG 2.1 (used on Debian Stretch).

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Tue, 24 Jan 2017 11:39:41 -0800

tarsnap-archive-keyring (0.2) unstable; urgency=medium

  * Add 2017 code-signing and package-signing keys.

 -- Tarsnap .deb packages <pkg-deb@tarsnap.com>  Thu, 05 Jan 2017 15:11:09 -0800

tarsnap-archive-keyring (0.1) unstable; urgency=low

  * Initial release.

 -- Graham Percival <gperciva@tarsnap.com>  Sun, 04 Dec 2016 10:41:38 -0800

=== debian/control ===
Source: tarsnap-archive-keyring
Section: misc
Priority: extra
Maintainer: Tarsnap .deb packages <pkg-deb@tarsnap.com>
Build-Depends: debhelper (>= 9), gnupg
Standards-Version: 3.9.5

Package: tarsnap-archive-keyring
Architecture: all
Depends: gpgv, ${misc:Depends}
Recommends: gnupg
Description: Tarsnap Backup Inc. archive keyring
 Signing keys for Tarsnap Backup Inc. source code and .deb packages.
